dart_unifi 0.1.0
dart_unifi: ^0.1.0 copied to clipboard

A Dart implementation that provides access to Unifi Controllers API 6.x and later.

dart-unifi #

Unifi Controller API for Dart

Installation #

Usage #

import 'package:dart_unifi/unifi.dart';

controller = UnifiController(host, port: port, username: username, password: password, siteId: siteId);

try {
    var since = await controller.vouchers.create(60);
    await controller.guests.authorize(mac, minutes: 60);
    var vouchers = await controller.vouchers.list(since);
} 
0
likes
70
pub points
0%
popularity

A Dart implementation that provides access to Unifi Controllers API 6.x and later.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

khanhncao@gmail.com

License

MIT (LICENSE)

Dependencies

http, logging, path, test

More

Packages that depend on dart_unifi